Bug 127653 - Problem with speedstep-centrino module.
Problem with speedstep-centrino module.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-12 04:17 EDT by Jordi Cucurull Juan
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordi Cucurull Juan 2004-07-12 04:17:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ca; rv:1.7) Gecko/20040619

Description of problem:
On my 1.7Ghz Dothan CPU the speedstep-centrino module detect an
unsupported speedstep CPU. I've sended my /proc/cpuinfo at author of
the module and he answer me that in the future he would try to resolve
it. This is the mail that I've send to his:


I'm installed a Fedora Core 2 distribution on my Dell Inspiron 510m
laptop and on /sys/system/devices/cpu/cpu0 not appears any file.
Because of this it's impossible to throttle the CPU frequence. I'have
compiled the latest kernel version, 2.6.7 and it indicates at
speedstep-centrino that send to you a copy of my cpuinfo because it's
unsupported. This is my "cpuinfo":

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 13
model name	: Intel(R) Pentium(R) M processor 1.70GHz
stepping	: 6
cpu MHz		: 1698.751
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr mce cx8 sep mtrr pge mca cmov pat clflush
dts acpi mmx fxsr sse sse2 ss tm pbe tm2 est
bogomips	: 3375.10




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load the module speedstep-centrino or, if it's compiled into de
kernel  see the kernel messages.
2.Appear that there found an unsupported speedstep CPU.
3.Doesn't appear any file on /sys/system/devices/cpu/cpu0.
    

Actual Results:  Doesn't appear files on /sys/system/devices/cpu/cpu0
and it's impossible to throttle the CPU frequency.

Expected Results:  Files would appear into that directory to access
the cpu speedstep properties.

Additional info:
Comment 1 Jordi Cucurull Juan 2004-07-22 02:39:43 EDT
I've solved this problem by downloading the 2.6.7 kernel sources and
modifying the file speedstep-centrino.c. I've changed this:

static const struct cpu_id cpu_id_dothan_a1 = {
        .x86_vendor = X86_VENDOR_INTEL,
        .x86 = 6,
        .x86_model = 13,
        .x86_mask = 1,
};

for this:

static const struct cpu_id cpu_id_dothan_a1 = {
        .x86_vendor = X86_VENDOR_INTEL,
        .x86 = 6,
        .x86_model = 13,
        .x86_mask = 6,
};
Comment 2 Bastien Nocera 2004-08-26 13:43:21 EDT
Doesn't using the "acpi" driver with the latest FC2 kernel work?
Comment 3 Dave Jones 2005-04-16 01:29:12 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.